<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 4</H1>

<P>Numero du papier: 4
<P>Titre du papier: Méthodologie de développement d'un outil d'évaluation de
la sûreté du logiciel en OCaml
<P>Auteurs:P. Ayrault, T. Hardin, M. Guesdon

<P>Nom du rapporteur : Pascale Le Gall


<P>Confiance en la note: 3
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: entre 2 et 3
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>
<P>L'article aurait gagne a etre mieux cible : ou bien decortiques une
etape ou un aspect bien precis et montrer l'interet de l'usage des
langages applicatifs vis-a-vis de cette etapes, ou alors presenter
l'ensemble en degageant les benefices tires de l'approche en termes
chiffres ou commentaires sur les resultats obtenus.

<P>Le papier est trop generaliste et du coup peut etre percu trop
superficiel, se contentant de presenter de facon succincte les
differents aspects evoques (que ce soit l'objet proprement dit de leur
outil, les fondements theoriques sous-jacents, les etapes du cycle de
vie). Par exemple, pour le test, les auteurs introduisent quelques
bonnes idees : ils decrivent les differents cas a couvri par le test,
expression par expression, fonction de base par fonction de base, ...
mais ils ne disent pas comment ils mettent en oeuvre leur methode : que
font-ils en presence de fonctions recursives, comment ils choisissent
leurs tests dans les cas decrits, combien de tests ils obtiennent,
comment depouillent-ils leurs tests, ...  Le meme type de remarque
pourrait etre formule sur l'emploi de COQ, ...

<P>Commentaires reserves au comite de programme:<P>
<P>Points positifs :
<P>Le papier relate dans un contexte industriel de l'usage des langages
applicatifs pour le developpement d'outil d'analyse statique et du
prouveur COQ pour une partie de la verification. Les auteurs affichent
un double benefice
1/ le developpement fiable et rapide de leur outil
2/ un bon retour de leurs clients industriels
De plus, ils montrenet un souci constant d'utilisation des techniques
formelles tout au long du cycle de vie de leur logiciel. Et le papier
constitue une bonne synthese des differentes etapes de la conception du
logiciel.

<P>Points negatifs:
<P>Le papier est trop generaliste et du coup trop superficiel, se
contentant de presenter de facon succincte les differents aspects
evoques (que ce soit l'objet proprement dit de leur outil, les
fondements theoriques sous-jacents, les etapes du cycle de vie). Par
exemple, pour le test, les auteurs introduisent quelques bonnes idees :
ils decrivent les differents cas a couvri par le test, expression par
expression, fonction de base par fonction de base, ... mais ils ne
disent pas comment ils mettent en oeuvre leur methode : que font-ils en
presence de fonctions recursives, comment ils choisissent leurs tests
dans les cas decrits, combien de tests ils obtiennent, comment
depouillent-ils leurs tests, ...  Par ailleurs, ils ne quantifient pas
via quelques chiffres signficatis sur des etudes de cas, la portee de
l'outil [or, le monde academique est demandeur de tels retours
industriels..]

<P>En resume, l'article aurait gagne a etre mieux cible : ou bien
decortiques une etape ou un aspect bien precis et montrer l'interet de
l'usage des langages applicatifs vis-a-vis de cette etapes, ou alors
presenter l'ensemble en degageant les benefices tires de l'approche en
termes chiffres ou commentaires sur les resultats obtenus.


</BODY>
</HTML>




